summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-arch/lzma-utils/files/lzma-nocxx.sh')
-rwxr-xr-xapp-arch/lzma-utils/files/lzma-nocxx.sh27
1 files changed, 17 insertions, 10 deletions
diff --git a/app-arch/lzma-utils/files/lzma-nocxx.sh b/app-arch/lzma-utils/files/lzma-nocxx.sh
index cc81029b4d61..92e9cdcc35d1 100755
--- a/app-arch/lzma-utils/files/lzma-nocxx.sh
+++ b/app-arch/lzma-utils/files/lzma-nocxx.sh
@@ -1,12 +1,19 @@
#!/bin/sh
-if [ "$1" = "-dc" ] ; then
- shift
- cat "$@" | lzmadec
-else
- (
- echo "You've built lzma-utils without C++ support."
- echo "If you want lzma support, rebuild with C++ support."
- ) 1>&2
- exit 1
-fi
+case $1 in
+ -dc)
+ shift
+ cat "$@" | lzmadec
+ ;;
+ -d)
+ shift
+ lzmadec
+ ;;
+ *)
+ (
+ echo "You've built lzma-utils without C++ support."
+ echo "If you want lzma support, rebuild with C++ support."
+ ) 1>&2
+ exit 1
+ ;;
+esac